import { diffDB } from '../utils'
const testDate1 = new Date(2020, 1, 1)
const testDate2 = new Date(2020, 2, 2)
const typesFalsy = {
  number: 0,
  boolean: false,
  string: '',
  //date: testDate1,
  array: [],
  object: {},
  undefined: undefined,
  null: null
}
const expectedFalsy = {
  number: 0,
  boolean: false,
  string: ''
  //date: testDate1
}
const typesTruthy = {
  number: 12,
  boolean: true,
  string: 'hello!',
  //date: testDate2,
  array: [1, 2, 3],
  object: { a: 1, b: 2 },
  undefined: 'not undefined',
  null: 45
}
const dbId = 'dbid'
const createId = '++createId'
const updateId = '@@updateId'
const deleteId = '--deleteId'

const dbItem = {
  id: dbId,
  ...typesTruthy,
  child: {
    id: dbId,
    ...typesTruthy
  }
}

const updateItem = {
  id: dbId,
  ...typesTruthy
}

describe('diffDB: Find differences of current state to database', () => {
  it('returns undefined if there are no differences', () => {
    const truthyNoDiffs = diffDB(typesTruthy, typesTruthy)
    expect(truthyNoDiffs).toBe(undefined)
    const falsyNoDiffs = diffDB(typesFalsy, typesFalsy)
    expect(falsyNoDiffs).toBe(undefined)
  })
  it('diffs types correctly', () => {
    const truthyDiff = diffDB(typesTruthy, typesFalsy)
    expect(truthyDiff).toEqual(typesTruthy)
    const falsyDiff = diffDB(typesFalsy, typesTruthy)
    expect(falsyDiff).toEqual(expectedFalsy)
  })
})
